#!/usr/bin/perl
#
# This script merges a counts file with a graph file
# and produces on STDOUT count versus date.

$file1 = shift;
$file2 = shift;

open(FILE1, "<" . $file1) || die "usage: $0 file1 file2\n";
open(FILE2, "<" . $file2) || die "usage: $0 file1 file2\n";

$line1 = <FILE1>;
$line1 =~ /: (.*)$/;
$title1 = $1 || die "$file1 has bad format\n";

$line2 = <FILE2>;
($line2 =~ /^\#/) || die "$file2 has bad format\n";

$line1 = <FILE1>;
$line1 =~ /: (.*)$/;
$numsamples1 = $1 || die "$file1 has bad format\n";

$line1 = <FILE1>;
($line1 =~ /^\#/) || die "$file1 has bad format\n";

print STDOUT "# [$title1] vs date\n";

while( ($line1 = <FILE1>) && ($line2 = <FILE2>) ) {

  # skip comments
  next if( ($line1 =~ /^\#/) || ($line2 =~ /^\#/) );

  $line1 =~ /^(\d+) (\d+) (\d+) (\d+)/;
  $id1 = $1;
  $count1 = $2;
  $low1 = $3;
  $high1 = $4;

  $line2 =~ /^(\d+) (\d+) /;
  $id2 = $1;
  $date2 = $2;

  if( $id1 == $id2 ) {
    print STDOUT "$id1 $count1 $date2\n";
  } else {
    print STDERR "premature end of merge at line $.: ID numbers differ [$id1, $id2]\n";
    last;
  }
}


close(FILE1);
close(FILE2);

