#!/usr/bin/perl
#
# This script plots a counts file given the date
#

$file1 = shift;
$file2 = shift;

open(FILE1, "<" . $file1) || die "usage: $0 counts-file graph-file\n";
open(FILE2, "<" . $file2) || die "usage: $0 counts-file graph-file\n";

$line2 = <FILE2>;
($line2 =~ /^\#/) || die "$file2 has bad format\n";

$line1 = <FILE1>;
$line1 =~ /: (.*)$/;
$title1 = $1 || die "$file1 has bad format\n";

# skip comments
$line1 = <FILE1>;
$line1 = <FILE1>;

$saveme1 = tell FILE1;
$saveme2 = tell FILE2;

while( ($line1 = <FILE1>) && ($line2 = <FILE2>) ) {

  # skip comments
  next if( ($line1 =~ /^\#/) || ($line2 =~ /^\#/) );

  $line2 =~ /^(\d+) (\d+)/;
  $id2 = $1;
  $date2 = $2;

  $line1 =~ /^(\d+) (\d+) (\d+) (\d+)/;
  $id1 = $1;
  $count1 = $2;
  $low1 = $3;
  $high1 = $4;

  $df{$date2}++;
  $cf{$date2} += $count1;

  if( !($id1 == $id2) ) {
    print STDERR "premature end of merge at line $.: ID numbers differ [$id1, $id2]\n";
    exit;
  }
}

seek FILE1, $saveme1, 0;
seek FILE2, $saveme2, 0;

while( ($line1 = <FILE1>) && ($line2 = <FILE2>) ) {

  # skip comments
  next if( ($line1 =~ /^\#/) || ($line2 =~ /^\#/) );

  $line1 =~ /^(\d+) (\d+) (\d+) (\d+)/;
  $id1 = $1;
  $count1 = $2;
  $low1 = $3;
  $high1 = $4;

  $line2 =~ /^(\d+) (\d+)/;
  $id2 = $1;
  $date2 = $2;

  if( $id1 == $id2 ) {
    print "$date2 $count1 $df{$date2} $cf{$date2}\n";
  } else {
    print STDERR "premature end of merge at line $.: ID numbers differ [$id1, $id2]\n";
    exit;
  }
}

