#!/bin/bash
#
# plots the pagerank counts for different values of epsilon
#
for e in `ls ../sim/counts-pagerank-*`; do
    ev=${e/.*-/}
    for f in `ls ../sim/counts-dateb-${ev}-*`; do 
	fv=${f/.*-/}
	./mergecounts.pl ${e} ${f} > ../sim/mycounts
	cat > ../sim/gnuplot.cmd <<EOF
set terminal pbm gray
set nokey
set output "../sim/dbpagerank-${ev}_vs_${ev}-${fv}.pnm"
set title "Date biased PageRank ${ev} vs ${ev}-${fv} (logarithmic scale)"
plot "../sim/mycounts" using (log(\$2)):(log(\$5)) with points
EOF
	gnuplot ../sim/gnuplot.cmd
	pnmtops -noturn -dpi 300 -equalpixels ../sim/dbpagerank-${ev}_vs_${ev}-${fv}.pnm > ../sim/dbpagerank-${ev}_vs_${ev}-${fv}.ps

    done
done