/** @file parsehandler-catdate.cc */
/* 
 * Copyright (C) 2002 Laird Breyer
 *  
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * Author:   Laird Breyer <laird@lbreyer.com>
 */

#include <iostream>
#include "handler-parser.h"
#include <stdio.h>
#include <string.h>

/// For each document, writes date to STDOUT. 
class CatDateParseHandler : public ParseHandler {
 public:
  virtual void AddHeader(const char* key, int keylen,
			 const char* value, int valuelen) {

     if( strncmp(key,"Date",4) == 0 ) {
       printf("%.*s\n", valuelen, value);
     }
  }
};

ParseHandler* MakeCatDateHandler() {
  return new CatDateParseHandler;
}

